net.sf.jasperreports.components.iconlabel

## Class IconLabelElementCsvHandler

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelElementCsvHandler

- All Implemented Interfaces:
    GenericElementCsvHandler, GenericElementHandler

      public class IconLabelElementCsvHandler
      extends java.lang.Object
      implements GenericElementCsvHandler

  Version:
    $Id:ChartThemesUtilities.java 2595 2009-02-10 17:56:51Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelElementCsvHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconLabelElementCsvHandler` | `getInstance()`
    `java.lang.String` | `getTextValue(JRCsvExporterContext exporterContext, JRGenericPrintElement element)` Returns the text value to be inserted in the export output.
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelElementCsvHandler

          public IconLabelElementCsvHandler()

  - ### Method Detail

    - #### getInstance

          public static IconLabelElementCsvHandler getInstance()

    - #### getTextValue

          public java.lang.String getTextValue(JRCsvExporterContext exporterContext,
                                      JRGenericPrintElement element)

      Description copied from interface: `GenericElementCsvHandler`
      Returns the text value to be inserted in the export output.
      Specified by:
        `getTextValue` in interface `GenericElementCsvHandler`
        `element` - the generic print element
      Returns:
        the HTML fragment that represents the exported element

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com